Detect address poisoning for a specific wallet address
curl --request GET \
--url https://api.webacy.com/addresses/{address}/poisoning \
--header 'x-api-key: <api-key>'import requests
url = "https://api.webacy.com/addresses/{address}/poisoning"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.webacy.com/addresses/{address}/poisoning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"poisoning_detected": true,
"status": "success",
"suspicious_transactions": [
{
"from": "0x2e5df068f6cf3a1a3e0a70951c685021cb2954c0",
"to": "0x2e5df068f6cf3a1a3e0a70951c685021cb2954c0",
"levenshtein": 27,
"similar_to": "0xe19327f71c21e2bbb5e66d7e1e670f86bcf1ca98",
"similarity": 0.5,
"suspicion_score": 0.6038165092468262,
"token_name": "",
"tx_hash": "0x79e7b0a45a73b86fe51882d2553355e15bda7bebb6c3e222c09d8fd2f43aa076",
"value": "0"
}
],
"summary": {}
}{
"message": "The provided address does not match valid EVM address format"
}{
"message": "Unauthorized"
}{
"x402Version": 1,
"error": "payment required"
}{
"message": "The provided address could not be found or is invalid on the specified EVM chain"
}{
"message": "Rate limit exceeded"
}{
"message": "Payment service temporarily unavailable"
}Wallet
Detect address poisoning on a wallet address
Checks if a given wallet address has been targeted by similar-looking addresses in potential poisoning attacks.
GET
/
addresses
/
{address}
/
poisoning
Detect address poisoning for a specific wallet address
Authorizations
Path Parameters
The wallet address to check for poisoning attempts
Query Parameters
The EVM-compatible blockchain network to search for poisoning activity
Available options:
eth, base, bsc, pol, opt, arb Whether to use cached data if available (default: true)
Whether to schedule a background refresh (default: false)
Response
Successful operation
Indicates whether potential address poisoning was detected
Status of the poisoning check operation
Example:
"success"
List of transactions that appear suspicious for address poisoning
Show child attributes
Show child attributes
Summary statistics for the poisoning analysis
